Bug 180360 - digikam won't accept new pictures or allow overwrites
digikam won't accept new pictures or allow overwrites
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: digikam (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Marcin Garski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-07 10:42 EST by Bob Agel
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-04 06:17:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 121538 None None None Never

  None (edit)
Description Bob Agel 2006-02-07 10:42:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.8.0.1) Gecko/20060124 Firefox/1.5.0.1

Description of problem:
Reported on digikam's site, they requested report here.  After yum update to kde 3.5.1, DigiKam refuses new photos or overwrites, although existing photos may be modified (i.e. text added).  Example of attempt to overwrite:
Access denied. Could not write to digikamalbums://%2Fhome%2Fbob%2Pictures@/New%20Year%202006/dscn0349.jpg
All photos are maintained in /home/bob and all permissions are normal.  New photos copied/pasted into folders are ignored by DigiKam.
Did try 'chmod 777 /usr/bin/digikam', got permission change but no difference.
Have removed hidden /home folders, then yum remove digikam, yum install digikam - but missing something as all settings return without reinputting.   

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Open DigiKam, select 'add images', select existing and new images from /home/bob/Pictures.
2.
3.
  

Actual Results:  Overwrite of existing photos will fail with above error
New pictures will return "this picture isn't stored on the local host. click on this label to load it" - clicking does nothing.  Clicking on the overwrite button returns no result.

Expected Results:  Overwrite should have replaced the existing album pic with itself, new pics should have been added.

Additional info:

digikam version 0.8.1 using kde 3.5.1-0.1.fc4
May not be related, but digikam handbook not accessable - returns:
There is no documentation available for /digikam/index.html.
Comment 1 Marcin Garski 2006-02-08 10:25:50 EST
1.
"Clicking on the overwrite button returns no result."
It returns result, but thumbnail isn't refreshed so you don't see it, if you try
to view overwriten picture you will see the new one.
That's digikam bug: http://bugs.kde.org/113797

2.
Yes, currently there isn't documentation (in FE) for digikam.
Comment 2 Bob Agel 2006-02-08 21:34:13 EST
1. Afraid that's not the case.  Attempted to overwrite dscn0356.jpg (example) -
properties show 'modified 1/8/2006', 'accessed 2/8/2006' - While attempting to
overwrite, each time would get the same error "access denied" (see above). 
Also, when trying to view dscn0358.jpg - dscn0365.jpg which are in the same
album, digikam refuses to recognize them and right-clicking on each pic and
choosing digikam for viewing simply stalls, however can be viewed with any other
viewer such as Kuickshow, Kview, Gwenview, Gimp & Showfoto.  Digikam also will
not create any new albums.  Update to digikam today resulted in no change.
Comment 3 Marcin Garski 2006-02-15 14:39:15 EST
Could you create a new user in your system, log into it and then try use digikam?

FYI Access denied message isn't releated with /usr/bin/digikam, but probably
digikam can't write to digikam's databse (digikam3.db file) or some directories
in your home directory.
Comment 4 Bob Agel 2006-03-07 14:42:38 EST
You're on target with that.  Under a new user, digikam acts correctly.  Now,
I'll have to do some research to find which files are involved.  Thanks!
Comment 5 Bob Agel 2006-03-07 15:56:41 EST
chmod -R 777 on /home/username/pictures did the trick. Thanks again!

Note You need to log in before you can comment on or make changes to this bug.